


#include "yaml-cpp/binary.h"
#include "yaml-cpp/emitter.h"
#include "yaml-cpp/node/node.h"
#include "yaml-cpp/node/parse.h"
#include <string>
#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>

#include <kubecontrol/kubecontrol.hpp>
#include <loguru.hpp>

SCENARIO("Testing the kubecontrol")
{
  std::string file= "../docs/config";
kubecontrol::kubecontrol kubecontroler(file);

  GIVEN("different Attributes for a Track in different forms")
  {
    kubecontroler.createYAML();
    kubecontroler.startPod();
    // kc.getPods();
    // kc.deletePod("debug-debian");
    kubecontroler.getPods();

    WHEN("constructing Track Object with data")
    {

      THEN("check if Track attributes are correct")
      {
        REQUIRE(true == true);





      } //THEN
    } // WHEN
  } // GIVEN
} //SCENARIO
